| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::D3D11StereoDriverAMD Class Reference

Virtual interface of the stereo driver. More...

`#include <OgreD3D11StereoDriverAMD.h>`

Inheritance diagram for Ogre::D3D11StereoDriverAMD:
[legend]

## Public Member Functions
| D3D11StereoDriverAMD ()
virtual | ~D3D11StereoDriverAMD ()
virtual bool | addRenderWindow (D3D11RenderWindowBase *renderWindow)
virtual bool | isStereoEnabled (const String &renderWindowName)
virtual bool | removeRenderWindow (const String &renderWindowName)
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)

## Detailed Description

Virtual interface of the stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D11StereoDriverAMD()

Ogre::D3D11StereoDriverAMD::D3D11StereoDriverAMD | ( |  | ) |

## ◆ ~D3D11StereoDriverAMD()

virtual Ogre::D3D11StereoDriverAMD::~D3D11StereoDriverAMD | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D11StereoDriverAMD::addRenderWindow | ( | D3D11RenderWindowBase * | renderWindow | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D11StereoDriverAMD::removeRenderWindow | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D11StereoDriverAMD::isStereoEnabled | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D11StereoDriverAMD::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

The documentation for this class was generated from the following file:

- OgreD3D11StereoDriverAMD.h